#ifndef GOL_H
#define GOL_H

struct GOL
{
	unsigned int *current;
	unsigned int *next;
	unsigned int width;
	unsigned int height;

} typedef gol;

typedef void (*gol_print_colmn)(unsigned int value);
typedef void (*gol_print_ln)(unsigned int line);

gol *gol_setup(unsigned int width, unsigned int height);
void gol_tick(gol *g);
void gol_each(gol *g, gol_print_colmn colmn, gol_print_ln ln);
void gol_free(gol *data);
#endif